8.4 pg_upgrade Troubleshooting

Table of Contents Previous Next


8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

If pg_upgrade reports an authentication error that references a missing password, please modify the pg_hba.conf files in the old and new cluster to enable trust authentication, or configure the system to use a pgpass.conf file. See Step 3 in Section 8.3, Upgrading to Advanced Server 9.6 for detailed information about editing the pg_hba.conf file.
If pg_upgrade reports that the new cluster is not empty, please empty the new cluster. For details about providing an empty target cluster, see Step 2 in Section 8.3, Upgrading to Advanced Server 9.6. Please note: the target cluster may not contain any user-defined databases.

8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

Table of Contents Previous Next